#
# spec file for package python3-libarchive-c
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-libarchive-c
Version:        2.5
Release:        1.2
License:        LGPL-2.1+
Summary:        Python interface to libarchive
Url:            https://github.com/Changaco/python-libarchive-c
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/l/libarchive-c/libarchive-c-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description
A Python interface to libarchive. It uses the standard ctypes_ module to
dynamically load and access the C library.

%prep
%setup -q -n libarchive-c-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python3_sitelib}/*

%changelog
* Sat Jul 23 2016 arun@gmx.de
- update to version 2.5:
  * Changes to the library:
    + don't hardcode errno constants (#33)
  * Packaging:
    + set umask to 022 in setup.py (36859c9)
  * Tests:
    + fix a test to be compatible with libarchive 3.2 (#35)
* Mon Jul  4 2016 arun@gmx.de
- update to version 2.4:
  * fixed file permissions in PyPI archives (#30)
  * fixed Travis CI builds (#32)
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sun Mar 13 2016 arun@gmx.de
- update to version 2.3:
  (no changelog available)
* Sun Jan 31 2016 sleep_walker@opensuse.org
- let there be python3-libarchive-c!
